Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## rdlc.hw
Enum ModuleWire.Type

    java.lang.Object
      java.lang.Enum<ModuleWire.Type>
          rdlc.hw.ModuleWire.Type

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<ModuleWire.Type>

Enclosing class:
  ModuleWire

    public static enum ModuleWire.Type

extends java.lang.Enum<ModuleWire.Type>

Iterator of all the possible wire types.

Version:
  $Revision: 1.10 $
Author:
  Greg Gibeling

Enum Constant Summary
`Inout`
`Input`
`Output`
`Reg`
`Wire`

Method Summary
`static ModuleWire.Type` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static ModuleWire.Type[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### Wire

    public static final ModuleWire.Type Wire

### Input

    public static final ModuleWire.Type Input

### Output

    public static final ModuleWire.Type Output

### Inout

    public static final ModuleWire.Type Inout

### Reg

    public static final ModuleWire.Type Reg

Method Detail

### values

    public static final ModuleWire.Type[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(ModuleWire.Type c : ModuleWire.Type.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static ModuleWire.Type valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD